Subject: [Fwd: Re: macmace transmit timeout]

From: Stephen Waters <[email-masked]>
Date: 11 Nov 2002 22:37:42 -0600

Ben, I'm forwarding this to netdev in hopes someone there might have a
clue...

-s

Ben Stanley wrote:
> 
> Kernel version:
> 
> Linux version 2.4.20-pre4 (kato@hiryu) (gcc version 2.95.4 20010319
> (prerelease/franzo/20010623)) #1 2002Ç¯ 8·î 20Æü ²ÐÍËÆü 12:25:37 JST
> it was built by Etsushi Kato, so it's the file
> MachKernel-2.4.20-pre4-020820 
> from his ftp site.
> 
> This message has been in the kernel ever since I started using the
> nubus-pmac port about 2 years ago.
> 
> Network setup:
> 
>      --------------------------------------------------------------
>      |                 |                         |                |
> 192.168.1.2        192.168.12               192.168.1.13     192.168.1.1
> nfs and x server   mp3 player (6100/66)      xterminal         firewall
>   dragon            kangaeru                  komodo            ipcop
>                                                         xxx.xxx.xxx.xxx
>                                                                   |
>                                              outside world --------
> 
> 
> There's lots of traffic on the network when the x terminal is in use.
> The network uses hubs, not switches.
> 
> kernel startup detects the network controller as:
> Nov 12 10:58:40 kangaeru kernel: eth0: MACE at 08:00:07:37:04:95, chip
> revision 0x0940
> 
> The problem hasn't happened today, and I didn't notice it happen while
> it was playing all day yesterday. It's quite intermittent. However,
> yesterday's logs are full of the message:
> 
> Nov 11 17:30:35 kangaeru kernel: macmace: transmit timeout - resetting
> Nov 11 18:01:35 kangaeru kernel: macmace: transmit timeout - resetting
> Nov 11 18:21:07 kangaeru kernel: macmace: transmit timeout - resetting
> Nov 11 18:22:57 kangaeru kernel: macmace: transmit timeout - resetting
> Nov 11 18:27:41 kangaeru kernel: macmace: transmit timeout - resetting
> 
> So maybe there is no association after all. I'm not sure.
> 
> Ben.
> 
> On Tue, 2002-11-12 at 01:54, Stephen Waters wrote:
> > 
> > kernel version? your network setup?
> > 
> > On Sat, 2002-11-09 at 19:55, Ben Stanley wrote:
> > >
> > > I use my 6100/66 as a network mp3 player, and periodically it stops for
> > > about 30 seconds, for no apparent reason.  checked the logs, and at
> > > about the time of the silence, I see this message:
> > >
> > > Nov 10 12:29:37 kangaeru kernel: macmace: transmit timeout - resetting
> > >
> > > what's going on?